Bug 4885 - Only 1 ISBN shows in non-XSL detail view
Summary: Only 1 ISBN shows in non-XSL detail view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-10 16:45 UTC by Nicole C. Engard
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
1 ISBN showing (51.08 KB, image/png)
2010-06-10 16:45 UTC, Nicole C. Engard
Details
2 ISBNs in MARC (28.77 KB, image/png)
2010-06-10 16:45 UTC, Nicole C. Engard
Details
Proposed fix (6.55 KB, patch)
2010-06-10 19:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised for current HEAD (6.57 KB, patch)
2011-01-13 20:54 UTC, Owen Leonard
Details | Diff | Splinter Review
signed-off patch with some small display fixes to opac view (6.57 KB, patch)
2011-01-13 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Proposed fix for 3.2.x (6.84 KB, patch)
2011-01-14 14:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Follow-up fix (1.60 KB, patch)
2011-02-24 18:08 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-06-10 16:45:08 UTC
Created attachment 2236 [details]
1 ISBN showing

In the staff client with XSLT off only 1 ISBN shows on the results screen and on the bib record.  It should show all ISBNs.  See attached.
Comment 1 Nicole C. Engard 2010-06-10 16:45:25 UTC
Created attachment 2237 [details]
2 ISBNs in MARC
Comment 2 Owen Leonard 2010-06-10 18:41:17 UTC
This is true of the OPAC and the staff client. I'm assuming that as with authors, subjects, etc., in order to display multiple ISBNs we would need pull them directly from the MARC record. See GetMarcAuthors in Biblio.pm.
Comment 3 Owen Leonard 2010-06-10 19:33:59 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2010-12-03 19:32:54 UTC
Original patch will probably not apply cleanly anymore. A revised version of
this fix can be found here: http://gitorious.org/koha-dev/koha-dev/commits/ps-Bug-4885-1-isbn-2010-06-10
Comment 5 Owen Leonard 2011-01-13 20:54:19 UTC
Created attachment 2990 [details] [review]
Revised for current HEAD
Comment 6 Katrin Fischer 2011-01-13 21:35:34 UTC
Created attachment 2992 [details] [review]
signed-off patch with some small display fixes to opac view
Comment 7 Chris Cormack 2011-01-13 22:40:45 UTC
Pushed, please test
Comment 8 Owen Leonard 2011-01-14 14:32:06 UTC
Created attachment 2994 [details] [review]
Proposed fix for 3.2.x
Comment 9 MJ Ray (software.coop) 2011-02-02 08:52:14 UTC
This bug is mentioned in:
Fix for Bug 4885 - Only 1 ISBN shows in	non-XSL detail view http://lists.koha-community.org/pipermail/koha-patches/2011-January/013600.html
Fix for Bug 4885 - Only 1 ISBN shows in non-XSL detail view http://lists.koha-community.org/pipermail/koha-patches/2011-January/013603.html
Fix for Bug 4885 - Only 1 ISBN shows	in non-XSL detail view http://lists.koha-community.org/pipermail/koha-patches/2011-January/013604.html
Comment 10 Owen Leonard 2011-02-24 18:02:54 UTC
The fix for Bug 5551 has overwritten the changes to opac-detail.pl made for this bug. I'll send a new patch.
Comment 11 Owen Leonard 2011-02-24 18:08:34 UTC
Created attachment 3209 [details] [review]
Follow-up fix
Comment 12 Chris Cormack 2011-02-27 21:44:54 UTC
Pushed please test
Comment 13 MJ Ray (software.coop) 2011-03-03 08:37:22 UTC
This bug is mentioned in:
Follow-up fix for Bug 4885 -	Only 1 ISBN shows in non-XSL detail view http://lists.koha-community.org/pipermail/koha-patches/2011-February/013928.html
Follow-up fix for Bug 4885 - Only 1 ISBN	shows in non-XSL detail view http://lists.koha-community.org/pipermail/koha-patches/2011-February/013923.html